<?php


namespace App\Logging;

class LogProcessor
{

    protected $job_id;
    public function __invoke(array $record): array
    {
        $record['extra'] = [
            'user_id' => auth()->user() ? auth()->user()->id : null,
            'job_id' => $this->job_id
        ];
        return $record;
    }

    public function setJobId(int $job_id)
    {
        $this->job_id = $job_id;
    }
}
